<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoScheduleAttendeesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_schedule_attendees
         */
        Schema::create('bixo_schedule_attendees', function ($table) {
            $table->increments('id');
            $table->integer('attendee_id')->nullable();
            $table->string('attendee_type', 50)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->enum('attending', ['Yes', 'No'])->nullable();
            $table->text('comment')->nullable();
            $table->timestamp('notified_at')->nullable();
            $table->timestamp('synced_at')->nullable();
            $table->string('synced_source', 20)->nullable();
            $table->string('synced_code', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_schedule_attendees');
    }
}
