<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoScheduleCalendarsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_schedule_calendars
         */
        Schema::create('bixo_schedule_calendars', function ($table) {
            $table->increments('id');
            $table->integer('location_id')->nullable();
            $table->string('subject', 100)->nullable();
            $table->date('date')->nullable();
            $table->time('starts_at')->nullable();
            $table->time('ends_at')->nullable();
            $table->integer('calendar_id')->nullable();
            $table->string('calendar_type', 50)->nullable();
            $table->text('reminders')->nullable();
            $table->text('recurrence')->nullable();
            $table->text('description')->nullable();
            $table->string('url', 100)->nullable();
            $table->dateTime('synced_at')->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_schedule_calendars');
    }
}
