<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoScheduleTasksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_schedule_tasks
         */
        Schema::create('bixo_schedule_tasks', function ($table) {
            $table->increments('id');
            $table->string('title', 100)->nullable();
            $table->string('status', 30)->nullable();
            $table->string('priority', 30)->nullable();
            $table->integer('assigned_to')->nullable();
            $table->integer('created_by')->nullable();
            $table->dateTime('start_date')->nullable();
            $table->time('estimate')->nullable();
            $table->text('description')->nullable();
            $table->text('documents')->nullable();
            $table->text('comments')->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('details')->nullable();
            $table->integer('subject_id')->nullable();
            $table->string('subject_type', 100)->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('group_by', 150)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_schedule_tasks');
    }
}
