<?php

namespace Bixo\Schedule\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class AttendeeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_schedule_attendees')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.schedule.attendee.view',
                'name'      => 'View Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.create',
                'name'      => 'Create Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.edit',
                'name'      => 'Update Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.delete',
                'name'      => 'Delete Attendee',
            ],
            
                        [
                'slug'      => 'bixo.schedule.attendee.verify',
                'name'      => 'Verify Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.approve',
                'name'      => 'Approve Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.publish',
                'name'      => 'Publish Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.unpublish',
                'name'      => 'Unpublish Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.cancel',
                'name'      => 'Cancel Attendee',
            ],
            [
                'slug'      => 'bixo.schedule.attendee.archive',
                'name'      => 'Archive Attendee',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/schedule/attendee',
                'name'        => 'Attendee',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/schedule/attendee',
                'name'        => 'Attendee',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'attendee',
                'name'        => 'Attendee',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Schedule',
                'module'    => 'Attendee',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.schedule.attendee.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
