<?php

namespace Bixo\Schedule\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CalendarTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_schedule_calendars')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.schedule.calendar.view',
                'name'      => 'View Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.create',
                'name'      => 'Create Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.edit',
                'name'      => 'Update Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.delete',
                'name'      => 'Delete Calendar',
            ],
            
                        [
                'slug'      => 'bixo.schedule.calendar.verify',
                'name'      => 'Verify Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.approve',
                'name'      => 'Approve Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.publish',
                'name'      => 'Publish Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.unpublish',
                'name'      => 'Unpublish Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.cancel',
                'name'      => 'Cancel Calendar',
            ],
            [
                'slug'      => 'bixo.schedule.calendar.archive',
                'name'      => 'Archive Calendar',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/schedule/calendar',
                'name'        => 'Calendar',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/schedule/calendar',
                'name'        => 'Calendar',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'calendar',
                'name'        => 'Calendar',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Schedule',
                'module'    => 'Calendar',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.schedule.calendar.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
