<?php

namespace Bixo\Schedule\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class TaskTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_schedule_tasks')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.schedule.task.view',
                'name'      => 'View Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.create',
                'name'      => 'Create Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.edit',
                'name'      => 'Update Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.delete',
                'name'      => 'Delete Task',
            ],
            
                        [
                'slug'      => 'bixo.schedule.task.verify',
                'name'      => 'Verify Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.approve',
                'name'      => 'Approve Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.publish',
                'name'      => 'Publish Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.unpublish',
                'name'      => 'Unpublish Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.cancel',
                'name'      => 'Cancel Task',
            ],
            [
                'slug'      => 'bixo.schedule.task.archive',
                'name'      => 'Archive Task',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/schedule/task',
                'name'        => 'Task',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/schedule/task',
                'name'        => 'Task',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'task',
                'name'        => 'Task',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Schedule',
                'module'    => 'Task',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.schedule.task.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
