<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for attendee in schedule package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  attendee module in schedule package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Attendee',
    'names' => 'Attendees',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Attendees',
        'sub' => 'Attendees'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'Organizer',
                    'value'  => 'Organizer',
                    'text'   => 'Organizer',
                ],
                                
                [
                    'key'    => 'Required',
                    'value'  => 'Required',
                    'text'   => 'Required',
                ],
                                
                [
                    'key'    => 'Optional',
                    'value'  => 'Optional',
                    'text'   => 'Optional',
                ],
                                
            ],

        'attending' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
                [
                    'key'    => 'Maybe',
                    'value'  => 'Maybe',
                    'text'   => 'Maybe',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'attendee_id'                => 'Please enter attendee id',
        'attendee_type'              => 'Please enter attendee type',
        'type'                       => 'Please select type',
        'attending'                  => 'Please select attending',
        'comment'                    => 'Please enter comment',
        'notified_at'                => 'Please select notified at',
        'synced_at'                  => 'Please select synced at',
        'synced_source'              => 'Please enter synced source',
        'synced_code'                => 'Please enter synced code',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'attendee_id'                => 'Attendee id',
        'attendee_type'              => 'Attendee type',
        'type'                       => 'Type',
        'attending'                  => 'Attending',
        'comment'                    => 'Comment',
        'notified_at'                => 'Notified at',
        'synced_at'                  => 'Synced at',
        'synced_source'              => 'Synced source',
        'synced_code'                => 'Synced code',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
