<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for calendar in schedule package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  calendar module in schedule package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Calendar',
    'names' => 'Calendars',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Calendars',
        'sub' => 'Calendars'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'location_id'                => 'Please enter location id',
        'subject'                    => 'Please enter subject',
        'date'                       => 'Please select date',
        'starts_at'                  => 'Please select starts at',
        'ends_at'                    => 'Please select ends at',
        'calendar_id'                => 'Please enter calendar id',
        'calendar_type'              => 'Please enter calendar type',
        'reminders'                  => 'Please enter reminders',
        'recurrence'                 => 'Please enter recurrence',
        'description'                => 'Please enter description',
        'url'                        => 'Please enter url',
        'synced_at'                  => 'Please select synced at',
        'user_id'                    => 'Please enter user id',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'location_id'                => 'Location id',
        'subject'                    => 'Subject',
        'date'                       => 'Date',
        'starts_at'                  => 'Starts at',
        'ends_at'                    => 'Ends at',
        'calendar_id'                => 'Calendar id',
        'calendar_type'              => 'Calendar type',
        'reminders'                  => 'Reminders',
        'recurrence'                 => 'Recurrence',
        'description'                => 'Description',
        'url'                        => 'Url',
        'synced_at'                  => 'Synced at',
        'user_id'                    => 'User id',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
