<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for task in schedule package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  task module in schedule package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Task',
    'names' => 'Tasks',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Tasks',
        'sub' => 'Tasks'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'calls',
                    'value'  => 'calls',
                    'text'   => 'calls',
                ],
                                
                [
                    'key'    => 'meetings',
                    'value'  => 'meetings',
                    'text'   => 'meetings',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'title'                      => 'Please enter title',
        'status'                     => 'Please enter status',
        'priority'                   => 'Please enter priority',
        'assigned_to'                => 'Please enter assigned to',
        'created_by'                 => 'Please enter created by',
        'start_date'                 => 'Please select start date',
        'estimate'                   => 'Please select estimate',
        'description'                => 'Please enter description',
        'documents'                  => 'Please enter documents',
        'comments'                   => 'Please enter comments',
        'type'                       => 'Please select type',
        'details'                    => 'Please enter details',
        'subject_id'                 => 'Please enter subject id',
        'subject_type'               => 'Please enter subject type',
        'user_type'                  => 'Please enter user type',
        'group_by'                   => 'Please enter group by',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'title'                      => 'Title',
        'status'                     => 'Status',
        'priority'                   => 'Priority',
        'assigned_to'                => 'Assigned to',
        'created_by'                 => 'Created by',
        'start_date'                 => 'Start date',
        'estimate'                   => 'Estimate',
        'description'                => 'Description',
        'documents'                  => 'Documents',
        'comments'                   => 'Comments',
        'type'                       => 'Type',
        'details'                    => 'Details',
        'subject_id'                 => 'Subject id',
        'subject_type'               => 'Subject type',
        'user_type'                  => 'User type',
        'group_by'                   => 'Group by',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
