<?php

// Web routes  for schedule.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for attendee

Route::prefix('{guard}/attendee')->group(function () {

    Route::get('/workflow/{attendee}/{user}', 'AttendeeWorkflowController@get')
        ->name('bixo.schedule.workflow');
    Route::post('/workflow/{attendee}/{user}', 'AttendeeWorkflowController@post');

    Route::get('/action/{attendee}/{user}', 'AttendeeActionController@get')
        ->name('bixo.schedule.action');
    Route::post('/action/{attendee}/{user}', 'AttendeeActionController@post');

});


// Workflow routes for calendar

Route::prefix('{guard}/calendar')->group(function () {

    Route::get('/workflow/{calendar}/{user}', 'CalendarWorkflowController@get')
        ->name('bixo.schedule.workflow');
    Route::post('/workflow/{calendar}/{user}', 'CalendarWorkflowController@post');

    Route::get('/action/{calendar}/{user}', 'CalendarActionController@get')
        ->name('bixo.schedule.action');
    Route::post('/action/{calendar}/{user}', 'CalendarActionController@post');

});


// Workflow routes for task

Route::prefix('{guard}/task')->group(function () {

    Route::get('/workflow/{task}/{user}', 'TaskWorkflowController@get')
        ->name('bixo.schedule.workflow');
    Route::post('/workflow/{task}/{user}', 'TaskWorkflowController@post');

    Route::get('/action/{task}/{user}', 'TaskActionController@get')
        ->name('bixo.schedule.action');
    Route::post('/action/{task}/{user}', 'TaskActionController@post');

});

