<?php

namespace Bixo\Schedule\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Schedule\Models\Attendee;


class AttendeeAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.schedule.attendee';
    protected $eventClass = \Bixo\Schedule\Events\AttendeeAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Attendee $attendee, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $attendee;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Attendee $attendee, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $attendee = $attendee->create($attributes);
        return $attendee;
    }

    public function update(Attendee $attendee, array $request)
    {
        $attributes = $request;
        $attendee->update($attributes);
        return $attendee;
    }

    public function destroy(Attendee $attendee, array $request)
    {
        $attendee->delete();
        return $attendee;
    }

    public function copy(Attendee $attendee, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $attendee = $attendee->replicate();
            $attendee->created_at = Carbon::now();
            $attendee->save();
            return $attendee;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $attendee->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $attendee;
    }


}
