<?php

namespace Bixo\Schedule\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Schedule\Http\Requests\CalendarActionsRequest;
use Bixo\Schedule\Actions\CalendarActions;

/**
 * Admin web controller class.
 */
class CalendarActionsController extends BaseController
{

    /**
     * Action controller function for calendar.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CalendarActionsRequest $request, $action)
    {
        try {
            $calendar = CalendarActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('schedule::calendar.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('schedule/calendar/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('schedule/calendar/' . $action))
                ->redirect();
        }
    }
}
