<?php

namespace Bixo\Schedule\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Illuminate\Support\Str;
use Bixo\Schedule\Actions\TaskExim;
use Bixo\Schedule\Http\Requests\TaskEximRequest;

/**
 * Admin web controller class.
 */
class TaskEximController extends BaseController
{
    /**
     * Action controller function for task.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(TaskEximRequest $request, $exim)
    {
        try {
            $function = Str::camel($exim);
            $data = TaskExim::$function($request);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('schedule:task.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('schedule/task/' . $exim))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('schedule/task/' . $exim))
                ->redirect();
        }
    }
}
