<?php

namespace Bixo\Schedule\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Schedule\Actions\TaskReport;
use Bixo\Schedule\Http\Requests\TaskReportRequest;

/**
 * Admin web controller class.
 */
class TaskReportController extends BaseController
{
    /**
     * Action controller function for task.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(TaskReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Task::class);
            $data = TaskReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('schedule::task.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('schedule/task/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('schedule/task/' . $report))
                ->redirect();
        }
    }
}
