<?php

namespace Bixo\Schedule\Policies;

use Bixo\Schedule\Models\Attendee;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait AttendeeAction
{

    /**
     * Determine if the given user can copy the given attendee.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Attendee $attendee)
    {

        if ($authUser->canDo('schedule.attendee.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given attendee.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Attendee $attendee) {

        if ($authUser->canDo('schedule.attendee.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given attendee.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Attendee $attendee)
    {

        if ($authUser->canDo('schedule.attendee.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
