<?php

namespace Bixo\Schedule\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait AttendeeExim
{

    /**
     * Determine if the given user can approve the given attendee.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('schedule.attendee.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given attendee.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('schedule.attendee.export')) {
            return true;
        }

        return false;
    }
}
