<?php


namespace Bixo\Schedule\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait AttendeeReport
{

    /**
     * Determine if the given user can approve the given attendee.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.attendee.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given attendee.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.attendee.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given attendee.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.attendee.report.download')) {
            return true;
        }

        return false;
    }
}
