<?php

namespace Bixo\Schedule\Policies;

use Bixo\Schedule\Models\Calendar;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CalendarAction
{

    /**
     * Determine if the given user can copy the given calendar.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Calendar $calendar)
    {

        if ($authUser->canDo('schedule.calendar.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given calendar.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Calendar $calendar) {

        if ($authUser->canDo('schedule.calendar.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given calendar.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Calendar $calendar)
    {

        if ($authUser->canDo('schedule.calendar.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
