<?php

namespace Bixo\Schedule\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait CalendarExim
{

    /**
     * Determine if the given user can approve the given calendar.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('schedule.calendar.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given calendar.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('schedule.calendar.export')) {
            return true;
        }

        return false;
    }
}
