<?php


namespace Bixo\Schedule\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait CalendarReport
{

    /**
     * Determine if the given user can approve the given calendar.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.calendar.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given calendar.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.calendar.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given calendar.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.calendar.report.download')) {
            return true;
        }

        return false;
    }
}
