<?php

namespace Bixo\Schedule\Policies;

use Bixo\Schedule\Models\Task;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait TaskAction
{

    /**
     * Determine if the given user can copy the given task.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Task $task)
    {

        if ($authUser->canDo('schedule.task.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given task.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Task $task) {

        if ($authUser->canDo('schedule.task.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given task.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Task $task)
    {

        if ($authUser->canDo('schedule.task.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
