<?php

namespace Bixo\Schedule\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait TaskExim
{

    /**
     * Determine if the given user can approve the given task.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('schedule.task.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given task.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('schedule.task.export')) {
            return true;
        }

        return false;
    }
}
