<?php


namespace Bixo\Schedule\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait TaskReport
{

    /**
     * Determine if the given user can approve the given task.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.task.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given task.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.task.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given task.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('schedule.task.report.download')) {
            return true;
        }

        return false;
    }
}
