<?php

namespace Bixo\Schedule\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Attendee policy
        \Bixo\Schedule\Models\Attendee::class 
        => \Bixo\Schedule\Policies\AttendeePolicy::class,// Bind Calendar policy
        \Bixo\Schedule\Models\Calendar::class 
        => \Bixo\Schedule\Policies\CalendarPolicy::class,// Bind Task policy
        \Bixo\Schedule\Models\Task::class 
        => \Bixo\Schedule\Policies\TaskPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
