<?php

namespace Bixo\Schedule\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Schedule\Events\ScheduleAction;
use Bixo\Schedule\Events\ScheduleWorkflow;
use Bixo\Schedule\Listeners\ScheduleAction as ScheduleActionListener;
use Bixo\Schedule\Listeners\ScheduleWorkflow as ScheduleWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        ScheduleAction::class => [
            ScheduleActionListener::class,
        ],
        ScheduleWorkflow::class => [
            ScheduleWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
